//@flow
/**
 * @author Sven Koelpin
 */
import React, { PureComponent } from 'react';
import style from './userList.css';
import UserStore from './UserStore';
import { observer } from 'mobx-react';


class UserList extends PureComponent<void, {}, void> {


    componentDidMount() {
        UserStore.fetchUsers();
        UserStore.subscribeToUserEvents();
    }

    componentWillUnmount() {
        UserStore.unsubscribeUserEvents();
    }


    render() {
        const {users} = UserStore;
        return (
            <ul className={style.userList}>
                {users.map(user => <li key={user.id}>{user.online ? <span className={style.online}/> : <span className={style.offline}/>} {user.name}</li>)}
            </ul>
        );
    }
}

export default observer(UserList);

