//@flow
/**
 * @author Sven Koelpin
 */

export type Chat = {|
    id: number;
    user: User;
    messages: Array<Message>;
    unread: boolean;
|}

export class User {
    id: number;
    name: string;
    online: boolean;


    constructor(id: number, name: string, online: boolean) {
        this.id = id;
        this.name = name;
        this.online = online;
    }
}


export class AppSettings {
    lang: string;
    numberFormat: string;
    dateFormat: string;

    constructor(lang: string, numberFormat: string, dateFormat: string) {
        this.lang = lang;
        this.numberFormat = numberFormat;
        this.dateFormat = dateFormat;
    }
}


export class Message {
    id: number;
    user: number;
    time: number;
    message: string;


    constructor(id: number, user: number, time: number, message: string) {
        this.id = id;
        this.user = user;
        this.time = time;
        this.message = message;
    }
}