//@flow
/**
 * @author Sven Koelpin
 */
import React, { PureComponent } from 'react';
import style from './header.css';

type Props = {|
    unreadChats: number;
    lang: ?string;
|}

export class Header extends PureComponent<void, Props, void> {
    props: Props;

    render() {
        const {unreadChats, lang} = this.props;
        const hastUnreadChats = (unreadChats > 0);
        return (
            <header className={style.header}>
                <h1>Sven's book</h1>
                <div className={style.lang}>
                    <select defaultValue={lang}>
                        <option>{lang}</option>
                        <option>de</option>
                    </select>
                </div>
                {<div className={`${style.messages} ${hastUnreadChats ? style.unread : ''}`}>{hastUnreadChats && unreadChats}</div>}
            </header>
        );
    }
}
