//@flow
/**
 * @author Sven Koelpin
 */

import React from 'react';
import { render } from 'react-dom';
import './main.css';
import Header from './menu/Header';
import UserList from './user/UserList';
import NewsFeed from './feed/NewsFeed';
import ChatArea from './chat/ChatArea';
import { Provider } from 'react-redux';
import Store from './store/Store';


const ReactChatApp = () => {
    return (
        <Provider store={Store}>
            <section className='main'>
                <Header/>
                <div className='page'>
                    <div className='content'>
                        <NewsFeed/>
                        <ChatArea/>
                    </div>
                    <UserList/>
                </div>
            </section>
        </Provider>
    );
};


window.Perf = require('react-addons-perf');
window.addEventListener('DOMContentLoaded', () => {
    render(<ReactChatApp/>, document.getElementById('app'));
});